<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.18"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>XHXKit: XHXKit/Classes/PickerView/XHXPickerView.h 源文件</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">XHXKit
   &#160;<span id="projectnumber">4.10.0.12</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- 制作者 Doxygen 1.8.18 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'搜索');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','搜索');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('_x_h_x_picker_view_8h_source.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">XHXPickerView.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="_x_h_x_picker_view_8h.html">浏览该文件的文档.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">//</span></div>
<div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="comment">//  XHXPickerView.h</span></div>
<div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="comment">//  XHXKit</span></div>
<div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment">//</span></div>
<div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="comment">//  Created by Leovir on 2018/8/8.</span></div>
<div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="comment">//</span></div>
<div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160; </div>
<div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="preprocessor">#import &lt;UIKit/UIKit.h&gt;</span></div>
<div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160; </div>
<div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;NS_ASSUME_NONNULL_BEGIN</div>
<div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="keyword">@class</span> <a class="code" href="interface_x_h_x_picker_view.html">XHXPickerView</a>;</div>
<div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160; </div>
<div class="line"><a name="l00013"></a><span class="lineno"><a class="line" href="protocol_x_h_x_picker_view_delegate-p.html">   13</a></span>&#160;<span class="keyword">@protocol </span><a class="code" href="protocol_x_h_x_picker_view_delegate-p.html">XHXPickerViewDelegate</a> &lt;UIPickerViewDelegate&gt;</div>
<div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160; </div>
<div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;<span class="keyword">@optional</span></div>
<div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;- (void)XHXPickerViewDidCancel:(<a class="code" href="interface_x_h_x_picker_view.html">XHXPickerView</a> *)picker;</div>
<div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;- (void)XHXPickerViewDidSubmit:(<a class="code" href="interface_x_h_x_picker_view.html">XHXPickerView</a> *)picker;</div>
<div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160; </div>
<div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;<span class="keyword">@end</span></div>
<div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160; </div>
<div class="line"><a name="l00021"></a><span class="lineno"><a class="line" href="interface_x_h_x_picker_view.html">   21</a></span>&#160;<span class="keyword">@interface </span><a class="code" href="interface_x_h_x_picker_view.html">XHXPickerView</a> : UIView</div>
<div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160; </div>
<div class="line"><a name="l00023"></a><span class="lineno"><a class="line" href="interface_x_h_x_picker_view.html#adc60c96661245d52980f449ff97e511e">   23</a></span>&#160;<span class="keyword">@property</span> (nonatomic, strong) UIView *<a class="code" href="interface_x_h_x_picker_view.html#adc60c96661245d52980f449ff97e511e">shadowView</a>;</div>
<div class="line"><a name="l00024"></a><span class="lineno"><a class="line" href="interface_x_h_x_picker_view.html#aff723421f2629a7f2f7b7965c3edfa83">   24</a></span>&#160;<span class="keyword">@property</span> (nonatomic, strong) UIView *<a class="code" href="interface_x_h_x_picker_view.html#aff723421f2629a7f2f7b7965c3edfa83">panelView</a>;</div>
<div class="line"><a name="l00025"></a><span class="lineno"><a class="line" href="interface_x_h_x_picker_view.html#aafeb1d2051c88be8582d3bbef9645098">   25</a></span>&#160;<span class="keyword">@property</span> (nonatomic, strong) UIButton *<a class="code" href="interface_x_h_x_picker_view.html#aafeb1d2051c88be8582d3bbef9645098">cancelBtn</a>;</div>
<div class="line"><a name="l00026"></a><span class="lineno"><a class="line" href="interface_x_h_x_picker_view.html#a44b0c8e9954ee7a9cd89bf154ebe1fdf">   26</a></span>&#160;<span class="keyword">@property</span> (nonatomic, strong) UIButton *<a class="code" href="interface_x_h_x_picker_view.html#a44b0c8e9954ee7a9cd89bf154ebe1fdf">submitBtn</a>;</div>
<div class="line"><a name="l00027"></a><span class="lineno"><a class="line" href="interface_x_h_x_picker_view.html#ae32c0a6f4bbbdd0a361f362d80351f70">   27</a></span>&#160;<span class="keyword">@property</span> (nonatomic, strong) UIView *<a class="code" href="interface_x_h_x_picker_view.html#ae32c0a6f4bbbdd0a361f362d80351f70">sepLine</a>;</div>
<div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160; </div>
<div class="line"><a name="l00029"></a><span class="lineno"><a class="line" href="interface_x_h_x_picker_view.html#a293927cf8c5f593c3f19db437ee63c24">   29</a></span>&#160;<span class="keyword">@property</span> (nonatomic, strong) UIView *<a class="code" href="interface_x_h_x_picker_view.html#a293927cf8c5f593c3f19db437ee63c24">topLine</a>;</div>
<div class="line"><a name="l00030"></a><span class="lineno"><a class="line" href="interface_x_h_x_picker_view.html#a6b91f54a13651a58eb5669b05ab375ad">   30</a></span>&#160;<span class="keyword">@property</span> (nonatomic, strong) UIView *<a class="code" href="interface_x_h_x_picker_view.html#a6b91f54a13651a58eb5669b05ab375ad">bottomLine</a>;</div>
<div class="line"><a name="l00031"></a><span class="lineno"><a class="line" href="interface_x_h_x_picker_view.html#a1038850e6a20193ef56214e21356aad8">   31</a></span>&#160;<span class="keyword">@property</span> (nonatomic, assign) CGFloat <a class="code" href="interface_x_h_x_picker_view.html#a1038850e6a20193ef56214e21356aad8">lineSpace</a>;</div>
<div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160; </div>
<div class="line"><a name="l00033"></a><span class="lineno"><a class="line" href="interface_x_h_x_picker_view.html#a074e55f35d4ae92a773f1810dd2d4836">   33</a></span>&#160;<span class="keyword">@property</span>(nullable,nonatomic,weak) id&lt;UIPickerViewDataSource&gt; <a class="code" href="interface_x_h_x_picker_view.html#a074e55f35d4ae92a773f1810dd2d4836">dataSource</a>;                <span class="comment">// default is nil. weak reference</span></div>
<div class="line"><a name="l00034"></a><span class="lineno"><a class="line" href="interface_x_h_x_picker_view.html#a18ac283457ab6f8f2ae69baf35646f0a">   34</a></span>&#160;<span class="keyword">@property</span>(nullable,nonatomic,weak) id&lt;XHXPickerViewDelegate&gt;   <a class="code" href="interface_x_h_x_picker_view.html#a18ac283457ab6f8f2ae69baf35646f0a">delegate</a>;</div>
<div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160; </div>
<div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160; </div>
<div class="line"><a name="l00037"></a><span class="lineno"><a class="line" href="interface_x_h_x_picker_view.html#a37af0ee3363ca8d6b5eedea6bef38f60">   37</a></span>&#160;<span class="keyword">@property</span>(nonatomic, assign) BOOL <a class="code" href="interface_x_h_x_picker_view.html#a37af0ee3363ca8d6b5eedea6bef38f60">showsSelectionIndicator</a>;   <span class="comment">// default is NO</span></div>
<div class="line"><a name="l00038"></a><span class="lineno"><a class="line" href="interface_x_h_x_picker_view.html#a4f0695fe938133c560b897a53652bcb6">   38</a></span>&#160;<span class="keyword">@property</span>(nonatomic,readonly) NSInteger <a class="code" href="interface_x_h_x_picker_view.html#a4f0695fe938133c560b897a53652bcb6">numberOfComponents</a>;</div>
<div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160; </div>
<div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;- (NSInteger)numberOfRowsInComponent:(NSInteger)component;</div>
<div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160;- (CGSize)rowSizeForComponent:(NSInteger)component;</div>
<div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160;- (nullable UIView *)viewForRow:(NSInteger)row forComponent:(NSInteger)component;</div>
<div class="line"><a name="l00043"></a><span class="lineno">   43</span>&#160;- (void)<a class="code" href="interface_x_h_x_picker_view.html#a1948cd77600083a44f1f7dc0209df3e9">reloadAllComponents</a>;</div>
<div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160;- (void)reloadComponent:(NSInteger)component;</div>
<div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160;- (void)selectRow:(NSInteger)row inComponent:(NSInteger)component animated:(BOOL)animated;</div>
<div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160;- (NSInteger)selectedRowInComponent:(NSInteger)component;</div>
<div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160; </div>
<div class="line"><a name="l00048"></a><span class="lineno">   48</span>&#160;- (void)showOnView:(UIView *)view;</div>
<div class="line"><a name="l00049"></a><span class="lineno">   49</span>&#160;- (void)<a class="code" href="interface_x_h_x_picker_view.html#a1df524147bb73dcb7d843806675dc6b2">dismiss</a>;</div>
<div class="line"><a name="l00050"></a><span class="lineno">   50</span>&#160;<span class="keyword">@end</span></div>
<div class="line"><a name="l00051"></a><span class="lineno">   51</span>&#160; </div>
<div class="line"><a name="l00052"></a><span class="lineno"><a class="line" href="protocol_x_h_x_picker_view_delegate-p.html#a005faedaeea7e540a187c67374f47867">   52</a></span>&#160;NS_ASSUME_NONNULL_END</div>
<div class="line"><a name="l00053"></a><span class="lineno">   53</span>&#160; </div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<div class="ttc" id="ainterface_x_h_x_picker_view_html_adc60c96661245d52980f449ff97e511e"><div class="ttname"><a href="interface_x_h_x_picker_view.html#adc60c96661245d52980f449ff97e511e">XHXPickerView::shadowView</a></div><div class="ttdeci">UIView * shadowView</div><div class="ttdef"><b>Definition:</b> <a href="_x_h_x_picker_view_8h_source.html#l00023">XHXPickerView.h:23</a></div></div>
<div class="ttc" id="ainterface_x_h_x_picker_view_html_ae32c0a6f4bbbdd0a361f362d80351f70"><div class="ttname"><a href="interface_x_h_x_picker_view.html#ae32c0a6f4bbbdd0a361f362d80351f70">XHXPickerView::sepLine</a></div><div class="ttdeci">UIView * sepLine</div><div class="ttdef"><b>Definition:</b> <a href="_x_h_x_picker_view_8h_source.html#l00027">XHXPickerView.h:27</a></div></div>
<div class="ttc" id="aprotocol_x_h_x_picker_view_delegate-p_html"><div class="ttname"><a href="protocol_x_h_x_picker_view_delegate-p.html">XHXPickerViewDelegate-p</a></div><div class="ttdef"><b>Definition:</b> <a href="_x_h_x_picker_view_8h_source.html#l00013">XHXPickerView.h:13</a></div></div>
<div class="ttc" id="ainterface_x_h_x_picker_view_html_a18ac283457ab6f8f2ae69baf35646f0a"><div class="ttname"><a href="interface_x_h_x_picker_view.html#a18ac283457ab6f8f2ae69baf35646f0a">XHXPickerView::delegate</a></div><div class="ttdeci">id&lt; XHXPickerViewDelegate &gt; delegate</div><div class="ttdef"><b>Definition:</b> <a href="_x_h_x_picker_view_8h_source.html#l00034">XHXPickerView.h:34</a></div></div>
<div class="ttc" id="ainterface_x_h_x_picker_view_html_a074e55f35d4ae92a773f1810dd2d4836"><div class="ttname"><a href="interface_x_h_x_picker_view.html#a074e55f35d4ae92a773f1810dd2d4836">XHXPickerView::dataSource</a></div><div class="ttdeci">id&lt; UIPickerViewDataSource &gt; dataSource</div><div class="ttdef"><b>Definition:</b> <a href="_x_h_x_picker_view_8h_source.html#l00033">XHXPickerView.h:33</a></div></div>
<div class="ttc" id="ainterface_x_h_x_picker_view_html_aafeb1d2051c88be8582d3bbef9645098"><div class="ttname"><a href="interface_x_h_x_picker_view.html#aafeb1d2051c88be8582d3bbef9645098">XHXPickerView::cancelBtn</a></div><div class="ttdeci">UIButton * cancelBtn</div><div class="ttdef"><b>Definition:</b> <a href="_x_h_x_picker_view_8h_source.html#l00025">XHXPickerView.h:25</a></div></div>
<div class="ttc" id="ainterface_x_h_x_picker_view_html_a44b0c8e9954ee7a9cd89bf154ebe1fdf"><div class="ttname"><a href="interface_x_h_x_picker_view.html#a44b0c8e9954ee7a9cd89bf154ebe1fdf">XHXPickerView::submitBtn</a></div><div class="ttdeci">UIButton * submitBtn</div><div class="ttdef"><b>Definition:</b> <a href="_x_h_x_picker_view_8h_source.html#l00026">XHXPickerView.h:26</a></div></div>
<div class="ttc" id="ainterface_x_h_x_picker_view_html"><div class="ttname"><a href="interface_x_h_x_picker_view.html">XHXPickerView</a></div><div class="ttdef"><b>Definition:</b> <a href="_x_h_x_picker_view_8h_source.html#l00021">XHXPickerView.h:22</a></div></div>
<div class="ttc" id="ainterface_x_h_x_picker_view_html_a1948cd77600083a44f1f7dc0209df3e9"><div class="ttname"><a href="interface_x_h_x_picker_view.html#a1948cd77600083a44f1f7dc0209df3e9">-[XHXPickerView reloadAllComponents]</a></div><div class="ttdeci">void reloadAllComponents()</div><div class="ttdef"><b>Definition:</b> <a href="_x_h_x_picker_view_8m_source.html#l00014">XHXPickerView.m:161</a></div></div>
<div class="ttc" id="ainterface_x_h_x_picker_view_html_a6b91f54a13651a58eb5669b05ab375ad"><div class="ttname"><a href="interface_x_h_x_picker_view.html#a6b91f54a13651a58eb5669b05ab375ad">XHXPickerView::bottomLine</a></div><div class="ttdeci">UIView * bottomLine</div><div class="ttdef"><b>Definition:</b> <a href="_x_h_x_picker_view_8h_source.html#l00030">XHXPickerView.h:30</a></div></div>
<div class="ttc" id="ainterface_x_h_x_picker_view_html_aff723421f2629a7f2f7b7965c3edfa83"><div class="ttname"><a href="interface_x_h_x_picker_view.html#aff723421f2629a7f2f7b7965c3edfa83">XHXPickerView::panelView</a></div><div class="ttdeci">UIView * panelView</div><div class="ttdef"><b>Definition:</b> <a href="_x_h_x_picker_view_8h_source.html#l00024">XHXPickerView.h:24</a></div></div>
<div class="ttc" id="ainterface_x_h_x_picker_view_html_a1038850e6a20193ef56214e21356aad8"><div class="ttname"><a href="interface_x_h_x_picker_view.html#a1038850e6a20193ef56214e21356aad8">XHXPickerView::lineSpace</a></div><div class="ttdeci">CGFloat lineSpace</div><div class="ttdef"><b>Definition:</b> <a href="_x_h_x_picker_view_8h_source.html#l00031">XHXPickerView.h:31</a></div></div>
<div class="ttc" id="ainterface_x_h_x_picker_view_html_a4f0695fe938133c560b897a53652bcb6"><div class="ttname"><a href="interface_x_h_x_picker_view.html#a4f0695fe938133c560b897a53652bcb6">XHXPickerView::numberOfComponents</a></div><div class="ttdeci">NSInteger numberOfComponents</div><div class="ttdef"><b>Definition:</b> <a href="_x_h_x_picker_view_8h_source.html#l00038">XHXPickerView.h:38</a></div></div>
<div class="ttc" id="ainterface_x_h_x_picker_view_html_a293927cf8c5f593c3f19db437ee63c24"><div class="ttname"><a href="interface_x_h_x_picker_view.html#a293927cf8c5f593c3f19db437ee63c24">XHXPickerView::topLine</a></div><div class="ttdeci">UIView * topLine</div><div class="ttdef"><b>Definition:</b> <a href="_x_h_x_picker_view_8h_source.html#l00029">XHXPickerView.h:29</a></div></div>
<div class="ttc" id="ainterface_x_h_x_picker_view_html_a1df524147bb73dcb7d843806675dc6b2"><div class="ttname"><a href="interface_x_h_x_picker_view.html#a1df524147bb73dcb7d843806675dc6b2">-[XHXPickerView dismiss]</a></div><div class="ttdeci">void dismiss()</div><div class="ttdef"><b>Definition:</b> <a href="_x_h_x_picker_view_8m_source.html#l00014">XHXPickerView.m:106</a></div></div>
<div class="ttc" id="ainterface_x_h_x_picker_view_html_a37af0ee3363ca8d6b5eedea6bef38f60"><div class="ttname"><a href="interface_x_h_x_picker_view.html#a37af0ee3363ca8d6b5eedea6bef38f60">XHXPickerView::showsSelectionIndicator</a></div><div class="ttdeci">BOOL showsSelectionIndicator</div><div class="ttdef"><b>Definition:</b> <a href="_x_h_x_picker_view_8h_source.html#l00037">XHXPickerView.h:37</a></div></div>
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_05f730b1f29a3e373a3d04cb5cb42ea7.html">XHXKit</a></li><li class="navelem"><a class="el" href="dir_2d533305e802e0a7e844b4ecd2e2bdb2.html">Classes</a></li><li class="navelem"><a class="el" href="dir_77c8b3ea1c0aabdacdf55a51574b5247.html">PickerView</a></li><li class="navelem"><a class="el" href="_x_h_x_picker_view_8h.html">XHXPickerView.h</a></li>
    <li class="footer">制作者
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.18 </li>
  </ul>
</div>
</body>
</html>
